// creator  : weidu.exe (version 23600)
// argument : FTOWFR.DLG
// game     : .
// source   : ./DATA/DIALOG.BIF
// dialog   : lang\en_us/dialog.tlk
// dialogF  : (none)

BEGIN ~FTOWFR~
//////////////////////////////////////////////////
// WARNING: this file contains non-trivial WEIGHTs
//////////////////////////////////////////////////

IF WEIGHT #2 /* Triggers after states #: 3 6 even though they appear after this state */
~  RandomNum(11,1)
~ THEN BEGIN 0 // from:
  SAY #860 /* ~I'm sorry, my husband doesn't like me to speak with strangers.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #3 /* Triggers after states #: 3 6 even though they appear after this state */
~  RandomNum(11,2)
~ THEN BEGIN 1 // from:
  SAY #861 /* ~Stay away, I bet you're those Zhentarim. I hear they turn women into goats at the snap of their fingers. I heard they were behind the trouble in Nashkel, and maybe other places too! Just you stay away from me!~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #4 /* Triggers after states #: 3 6 even though they appear after this state */
~  RandomNum(11,3)
~ THEN BEGIN 2 // from:
  SAY #862 /* ~You aren't from Nashkel are you? I hope not, because we don't trade with them at all anymore. All the iron we get from the mines there is tainted. Weak as tissue it is.~ */
  IF ~~ THEN UNSOLVED_JOURNAL #27098 /* ~Troubles in the Region
The villagers at the Friendly Arm speak of the iron from Nashkel being as weak as tissue.~ */ EXIT
END

IF WEIGHT #0 ~  GlobalGT("Chapter","GLOBAL",2)
~ THEN BEGIN 3 // from:
  SAY #863 /* ~You're the adventurers from Nashkel I've heard all about. Wow, I've never seen real heroes before. I hope you busted some bandits over the head on your way here. That'll learn them something.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #5 /* Triggers after states #: 6 even though they appear after this state */
~  RandomNum(11,4)
~ THEN BEGIN 4 // from:
  SAY #864 /* ~I really don't feel like talking to you right now! I lost my husband to those bastard raiders. I hope they rot through all the Nine Hells!~ */
  IF ~~ THEN UNSOLVED_JOURNAL #27099 /* ~Troubles in the Region
The villagers of the Friendly Arm speak of bandits who make the roads unsafe to travel.~ */ EXIT
END

IF WEIGHT #6 /* Triggers after states #: 6 even though they appear after this state */
~  RandomNum(11,5)
~ THEN BEGIN 5 // from:
  SAY #865 /* ~Not many come by the Inn since the raiding started up. It's good to see a new face about. I was getting pretty tired of the old ones. Maybe I'll chance the roads and try to get to Beregost one of these days.~ */
  IF ~~ THEN UNSOLVED_JOURNAL #27099 /* ~Troubles in the Region
The villagers of the Friendly Arm speak of bandits who make the roads unsafe to travel.~ */ EXIT
END

IF WEIGHT #1 ~  StateCheck(Myself,STATE_CHARMED)
~ THEN BEGIN 6 // from:
  SAY #6420 /* ~I'm just a simple little lady, I don't know much at all.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 7 // from:
  SAY #9057 /* ~Leave me!~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #7 ~  RandomNum(11,6)
~ THEN BEGIN 8 // from:
  SAY #15950 /* ~Pinch off the supply of iron and after a while the farmers can't sow, the smiths can't forge, and, by and by, an army finds it's disarmed of all but clubs and staves. That's the kind of strife that makes a land vulnerable.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #8 ~  RandomNum(11,7)
~ THEN BEGIN 9 // from:
  SAY #16038 /* ~Who ever heard of bandits passing over gold to steal ingots? It's got to be part of the trouble in the mines. They must be in cahoots somehow. Can't get ore from the mines, and can't get ore through trading. It's gonna be hard times for a while.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #9 ~  RandomNum(11,8)
~ THEN BEGIN 10 // from:
  SAY #16039 /* ~What with the raids on iron stores and the trouble in the mines it's a wonder we've any arms or armor left at all. It can't help but weaken the area, and I bet Amn is just waiting for our guard to go down.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #10 ~  RandomNum(11,9)
~ THEN BEGIN 11 // from:
  SAY #17709 /* ~Excuse me, but I think I recognize you from some descriptions I've been given. Is your name <CHARNAME>?~ */
  IF ~~ THEN REPLY #17711 /* ~Yes, that would be my name.~ */ GOTO 13
  IF ~~ THEN REPLY #17712 /* ~I think you've confused me with someone else.~ */ GOTO 12
END

IF ~~ THEN BEGIN 12 // from: 11.1
  SAY #17713 /* ~Oh, sorry about that.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 13 // from: 11.0
  SAY #17714 /* ~Well, I think you should know that there's been a lot of people asking about you. There were a man and woman who were asking about someone named <CHARNAME>, and then there was this spooky fellow who was doing the same. A few days ago there was a big man who was looking for someone with your name. I don't know why ye're so popular, but I'd watch it: Some of these people didn't look too sociable.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #12 /* Triggers after states #: 17 even though they appear after this state */
~  RandomNum(11,11)
~ THEN BEGIN 14 // from:
  SAY #17743 /* ~I don't like the looks of it. What with the iron shortage and the bandits round about, no one seems to pass through the Friendly Arm anymore 'cept in gangs and armed to the teeth like you.~ */
  IF ~~ THEN REPLY #17748 /* ~Aye, I like it no more than you. The treacherous roads have near cost me my life. Which routes are still clear, do you know?~ */ GOTO 15
  IF ~~ THEN REPLY #17752 /* ~Where is all this trouble coming from?~ */ GOTO 16
END

IF ~~ THEN BEGIN 15 // from: 14.0
  SAY #17754 /* ~Word around here is that the west road is the safest, at least for now. The road south to Beregost is dangerous but there's still been some traffic. Farther south to Nashkel is supposed to be some rough traveling. No more caravans are making it through from the iron mine down there but it's probably just as well. Their iron's been weak as tin of late. As for the road north, well... we haven't had a shipment from Baldur's Gate for more than a month. For all we know, it's been sacked and burnt.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 16 // from: 14.1
  SAY #17755 /* ~Amn, if you ask me. The rotten iron they've been sending out of Nashkel's just salt for the wounds... They'll starve us of metal all summer and probably attack Beregost before winter sets. Gods only know if the Dukes in Baldur's Gate will defend us this time.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #11 ~  RandomNum(11,10)
~ THEN BEGIN 17 // from:
  SAY #17982 /* ~I heard that there's a lot of money to be made in Nashkel. The people of the town are desperate fer mercenaries. From what I hear, their iron mines are infested with monsters, and since the mines are the town's main source of income... Well, they're rather eager to get things back to normal.~ */
  IF ~~ THEN EXIT
END
